> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IP Bans For IP

> Gets all IP bans that apply to a specific IP address.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidParams | 1000 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/GetIPBansForIP
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/GetIPBansForIP:
    post:
      tags:
        - Account Management
      summary: Get IP Bans For IP
      description: |
        Gets all IP bans that apply to a specific IP address.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | InvalidParams | 1000 |
      operationId: GetIPBansForIP
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetIPBanRequest'
        description: Request to retrieve IP bans matching a specific IP address.
      responses:
        '200':
          $ref: '#/components/responses/GetIPBanResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetIPBanRequest:
      description: Request to retrieve IP bans matching a specific IP address.
      type: object
      properties:
        IPAddress:
          description: The IP address of the ban to retrieve information on.
          type: string
      required:
        - IPAddress
      example:
        IPAddress: 192.168.1.1
    GetIPBanResult:
      description: Result containing IP bans that match the requested IP address.
      type: object
      properties:
        IPBanData:
          description: Information on the ban
          type: array
          items:
            $ref: '#/components/schemas/IPBanInfo'
          x-isclass: true
      example:
        IPBanData:
          - IPAddress: 192.168.1.1
            Created: '2024-06-01T00:00:00'
            Expires: '2024-06-08T00:00:00'
            Reason: Suspected Bot Farm
            Active: true
            BannedByDeveloperId: '1234567890'
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    IPBanInfo:
      description: Contains information for an IP ban.
      type: object
      properties:
        Active:
          description: The active state of this ban.
          type: boolean
        BannedByDeveloperId:
          description: >-
            PlayFab Developer ID of who issued the ban. Null if ban issued via
            Title Secret Key.
          type: string
        Created:
          description: The time when this IP ban was applied.
          type: string
        Expires:
          description: >-
            The time when this ban expires. Permanent bans do not have
            expiration date.
          type: string
        IPAddress:
          description: The IP address on which the ban was applied.
          type: string
        Reason:
          description: The reason why this IP ban was applied.
          type: string
      required:
        - Active
  responses:
    GetIPBanResult:
      description: Result containing IP bans that match the requested IP address.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetIPBanResult'
            example:
              code: 200
              status: OK
              data:
                IPBanData:
                  - IPAddress: 192.168.1.1
                    Created: '2024-06-01T00:00:00'
                    Expires: '2024-06-08T00:00:00'
                    Reason: Suspected Bot Farm
                    Active: true
                    BannedByDeveloperId: '1234567890'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get IP Bans For IP](/services/playfab/api-references/rest/admin/account-management/get-ip-bans-for-ip.md)
- [Get IP Bans For Title](/services/playfab/api-references/rest/admin/account-management/get-ip-bans-for-title.md)
- [IP Ban System](/services/playfab/player-progression/player-data/ip-bans.md)
- [Update IP Ban](/services/playfab/api-references/rest/admin/account-management/update-ip-ban.md)
- [Revoke IP Ban](/services/playfab/api-references/rest/admin/account-management/revoke-ip-ban.md)
